<?php

defined('ABSPATH') or die('No script kiddies please!');

class DWAnythingDefaultView {
    
    public function set($key, $value) {
        
        $this->$key = $value;
    }
    
    public function get($key, $default = null) {
        
        if (isset($this->$key)) {
            $result = $this->$key;
        } else {
            $result = $default;
        }
        
        return $result;
    }
    
    public function render () {
        
        ob_start();
        $this->display();
        $result = ob_get_contents();
        ob_end_clean();
        
        return $result;
    }
    
    /**
     * Render view
     * 
     * @return string
     */
    public function display () {
    
		?>
			<h1><?php echo($this->get('msg', 'Hello World!')); ?></h1>
			<p>This is a single post.</p>
		<?php
    } // End function render()
    
    public static function &getInstance() {
        
        static $result;
        
        if (!isset($result)) {
            $result = new self ();
        }
        
        return $result;
    }
}
